2019-09-19 02:33 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006237Spring engineGeneralpublic2019-07-06 15:03
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version104.0 +git 
Summary0006237: 104.0.1-1274-g77ce312 maintenance Issues with loading models midgame
DescriptionAt some point during the game an attempt to load a batch of models fails. This causes a desync.

Report from the affected player: https://github.com/ZeroK-RTS/CrashReports/issues/22764
A desync report from the same game: https://github.com/ZeroK-RTS/CrashReports/issues/22766
TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files

-Relationships
+Relationships

-Notes

~0020014

Kloot (developer)

[f=0049481] Warning: [BufferedArchive::GetFile(fid=6174)][!vfsCache] name=C:\Games\steamapps\common\Zero-K\games\zk-stable.sdz ret=-1 size=0

this means unzCloseCurrentFile returned a CRC error for some reason; maybe a corrupted archive.

~0020015

Kloot (developer)

tentatively fixed by 6faf8dd0
+Notes

-Issue History
Date Modified Username Field Change
2019-07-04 04:10 Google_Frog New Issue
2019-07-04 11:37 Kloot Note Added: 0020014
2019-07-05 17:05 abma Category Buildbot => General
2019-07-05 17:05 abma Checked infolog.txt for lua Errors Yes => Yes
2019-07-06 15:03 Kloot Assigned To => Kloot
2019-07-06 15:03 Kloot Status new => resolved
2019-07-06 15:03 Kloot Resolution open => fixed
2019-07-06 15:03 Kloot Fixed in Version => 104.0 +git
2019-07-06 15:03 Kloot Note Added: 0020015
+Issue History